For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all listings
        • GETGet all pricing
        • GETGet a listing by ID
        • PUTUpdate Listing: Yardi - Not Supported
        • POSTCreate Listing: Yardi - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Listings

Get a listing by ID

GET
/v1/listings/:listing_id
GET
/v1/listings/:listing_id
$curl https://api.propexo.com/v1/listings/listing_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "1234",
17 "x_property_id": "clwqjwc1e000008i7fnrrayzc:23423:34634",
18 "x_unit_id": "312441",
19 "x_floor_plan_id": null,
20 "is_unit": null,
21 "available_date": "2024-05-07T00:00:00.000Z",
22 "application_url": null,
23 "bathrooms": "1.5",
24 "bathrooms_full": 1,
25 "bathrooms_half": 1,
26 "bedrooms": "2",
27 "building_name": "Englewood",
28 "building_number": null,
29 "city": "Boston",
30 "country": "USA",
31 "custom_data": {},
32 "deposit_amount_in_cents": 65000,
33 "floor_plan_code": null,
34 "floor_plan_name": "Floorplan name from PMC",
35 "floor": null,
36 "image_urls": null,
37 "is_available": true,
38 "is_furnished": null,
39 "is_listed": null,
40 "is_managed_external": null,
41 "is_vacant": true,
42 "lease_term": null,
43 "listing_title": null,
44 "listing_date": "2024-05-07T00:00:00.000Z",
45 "marketing_name": null,
46 "notes": "Available in June",
47 "number": "R4",
48 "rent_amount_in_cents": 75000,
49 "specials": null,
50 "square_feet": 1123,
51 "state": "MA",
52 "address_1": "123 Main St",
53 "address_2": "123 Main St",
54 "property_description": null,
55 "short_description": null,
56 "unit_description": null,
57 "zip": "02116",
58 "make_ready_date": "2024-05-07T00:00:00.000Z",
59 "vacate_date": "2024-05-07T00:00:00.000Z",
60 "video_urls": null,
61 "status_raw": "vacant",
62 "property_id": "clwi5xiix000008l6ctdgafyh",
63 "unit_id": "clwqjwc1e000008i7fnrrayzc:lkeutd:1234",
64 "floor_plan_id": null,
65 "integration_id": "clwh5u07w000508me66sfh3um",
66 "integration_vendor": "YARDI",
67 "x_location_id": null,
68 "unit_type_id": "clwqjwc1e000008i7fnrrayzc:322_fs:UnitTypeUniqueID-2344",
69 "street_address_1": "string",
70 "street_address_2": "string"
71 }
72}
Get a listing by ID
Was this page helpful?
Previous

Update Listing: Yardi - Not Supported

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

listing_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error